clear all
clc

load X.mat
rho = 0.025;

fprintf('*** Independent Logistic Regression ***\n\n');
[W b] = learn_indep_logreg(X,rho);
disp([W nan(size(W,1),1) b]);
fprintf('%d equilibria out of %d possible joint-actions\n\n',get_equilibria(W,b),2^size(W,1));

fprintf('*** Simultaneous Logistic Regression ***\n\n');
[W b] = learn_simul_logreg(X,rho);
disp([W nan(size(W,1),1) b]);
fprintf('%d equilibria out of %d possible joint-actions\n\n',get_equilibria(W,b),2^size(W,1));

fprintf('*** Independent SVM ***\n\n');
[W b] = learn_indep_svm(X,rho);
disp([W nan(size(W,1),1) b]);
fprintf('%d equilibria out of %d possible joint-actions\n\n',get_equilibria(W,b),2^size(W,1));

fprintf('*** Simultaneous SVM ***\n\n');
[W b] = learn_simul_svm(X,rho);
disp([W nan(size(W,1),1) b]);
fprintf('%d equilibria out of %d possible joint-actions\n\n',get_equilibria(W,b),2^size(W,1));
